# Visualization
TKV3d
Graphic3d

# Graphic3d_TextureRoot Class Reference

This is the texture root class enable the dialog with the GraphicDriver
allows the loading of texture too supported formats:
X, SunRaster, Aida, Euclid, SGI rgb
.

`#include <Graphic3d_TextureRoot.hxx>`

Inheritance diagram for Graphic3d_TextureRoot:

[legend]

## Public Member Functions

Standard_EXPORT void | Destroy () const
| ~Graphic3d_TextureRoot ()
Standard_EXPORT Standard_Boolean | IsDone () const
| Checks if a texture class is valide or not returns true if the construction of the class is correct .
Standard_EXPORT const OSD_Path & | Path () const
| Returns the full path of the defined texture. .
Standard_EXPORT Graphic3d_TypeOfTexture | Type () const
| Returns the texture type. .
Standard_EXPORT void | LoadTexture (const Handle(AlienImage_AlienImage)&anImage)
| Updates the current texture from a requested alien image. .
Standard_EXPORT Standard_Integer | TextureId () const
| returns the Texture ID which references the texture to use for drawing. Used by the graphic driver.
Standard_EXPORT Handle_AlienImage_AlienImage | Image () const
| Returns the created image texture. .
Standard_EXPORT Handle_TColStd_HArray1OfReal | GetTexUpperBounds () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Graphic3d_TextureRoot (const Handle(Graphic3d_StructureManager)&SM, const Standard_CString Path, const Standard_CString FileName, const Graphic3d_TypeOfTexture Type)
| Creates a texture from a file Warning: Note that if <filename> is NULL the texture must be realized using LoadTexture(image) method. .
Standard_EXPORT void | Update () const

## Protected Attributes

Graphic3d_CInitTexture | MyCInitTexture

## Private Member Functions

Standard_EXPORT Handle_AlienImage_AlienImage | LoadTexture () const

## Private Attributes

Handle_Graphic3d_GraphicDriver | MyGraphicDriver
Standard_Integer | MyTexId
OSD_Path | MyPath
Graphic3d_TypeOfTexture | MyType
Handle_AlienImage_AlienImage | MyImage
Handle_TColStd_HArray1OfReal | MyTexUpperBounds

## Constructor & Destructor Documentation

Graphic3d_TextureRoot::~Graphic3d_TextureRoot | ( |  | ) | `[inline]`

Standard_EXPORT Graphic3d_TextureRoot::Graphic3d_TextureRoot | ( | const Handle(Graphic3d_StructureManager)& | SM,
|  | const Standard_CString | Path,
|  | const Standard_CString | FileName,
|  | const Graphic3d_TypeOfTexture | Type
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void Graphic3d_TextureRoot::Destroy | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfReal Graphic3d_TextureRoot::GetTexUpperBounds | ( |  | ) | const

Standard_EXPORT const Graphic3d_TextureRoot::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in Graphic3d_Texture1D, Graphic3d_Texture1Dmanual, Graphic3d_Texture1Dsegment, Graphic3d_Texture2D, Graphic3d_Texture2Dmanual, Graphic3d_Texture2Dplane, Graphic3d_TextureEnv, and Graphic3d_TextureMap.

Standard_EXPORT Handle_AlienImage_AlienImage Graphic3d_TextureRoot::Image | ( |  | ) | const

Standard_EXPORT Standard_Boolean Graphic3d_TextureRoot::IsDone | ( |  | ) | const

Standard_EXPORT Handle_AlienImage_AlienImage Graphic3d_TextureRoot::LoadTexture | ( |  | ) | const`[private]`

Standard_EXPORT void Graphic3d_TextureRoot::LoadTexture | ( | const Handle(AlienImage_AlienImage)& | anImage | ) |

Standard_EXPORT const OSD_Path& Graphic3d_TextureRoot::Path | ( |  | ) | const

Standard_EXPORT Standard_Integer Graphic3d_TextureRoot::TextureId | ( |  | ) | const

Standard_EXPORT Graphic3d_TypeOfTexture Graphic3d_TextureRoot::Type | ( |  | ) | const

Standard_EXPORT void Graphic3d_TextureRoot::Update | ( |  | ) | const`[protected]`

## Field Documentation

Graphic3d_CInitTexture Graphic3d_TextureRoot::MyCInitTexture `[protected]`

Handle_Graphic3d_GraphicDriver Graphic3d_TextureRoot::MyGraphicDriver `[private]`

Handle_AlienImage_AlienImage Graphic3d_TextureRoot::MyImage `[private]`

OSD_Path Graphic3d_TextureRoot::MyPath `[private]`

Standard_Integer Graphic3d_TextureRoot::MyTexId `[private]`

Handle_TColStd_HArray1OfReal Graphic3d_TextureRoot::MyTexUpperBounds `[private]`

Graphic3d_TypeOfTexture Graphic3d_TextureRoot::MyType `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_TextureRoot.hxx